Loading...
Searching...
No Matches
caf::type_nr< T, IsIntegral > Struct Template Reference

Computes the type number for T. More...

`#include <type_nr.hpp>`

## Static Public Attributes

static constexpr uint16_t | value

## Detailed Description

template<class T, bool IsIntegral = std::is_integral<T>::value>
struct caf::type_nr< T, IsIntegral >

Computes the type number for T.

## Member Data Documentation

## value

template<class T, bool IsIntegral = std::is_integral<T>::value>

uint16_t caf::type_nr< T, IsIntegral >::value

static constexpr

Initial value:
= static_cast<uint16_t>(
detail::tl_index_of<sorted_builtin_types, T>::value + 1)
caf::detail::tl_index_of
Finds the first element satisfying Pred beginning at index Pos.
Definition type_list.hpp:363

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/type_nr.hpp